pcl::RangeImageBorderExtractor::LocalSurface Struct Reference

Stores some information extracted from the neighborhood of a point. More...

`#include <pcl/features/range_image_border_extractor.h>`

## Public Member Functions

| LocalSurface ()

## Public Attributes

Eigen::Vector3f | normal
Eigen::Vector3f | neighborhood_mean
Eigen::Vector3f | eigen_values
Eigen::Vector3f | normal_no_jumps
Eigen::Vector3f | neighborhood_mean_no_jumps
Eigen::Vector3f | eigen_values_no_jumps
float | max_neighbor_distance_squared

## Detailed Description

Stores some information extracted from the neighborhood of a point.

Definition at line 69 of file range_image_border_extractor.h.

## Constructor & Destructor Documentation

pcl::RangeImageBorderExtractor::LocalSurface::LocalSurface | ( |  | ) |

inline

Definition at line 71 of file range_image_border_extractor.h.

## Member Data Documentation

Eigen::Vector3f pcl::RangeImageBorderExtractor::LocalSurface::eigen_values

Definition at line 77 of file range_image_border_extractor.h.

Eigen::Vector3f pcl::RangeImageBorderExtractor::LocalSurface::eigen_values_no_jumps

Definition at line 80 of file range_image_border_extractor.h.

float pcl::RangeImageBorderExtractor::LocalSurface::max_neighbor_distance_squared

Definition at line 81 of file range_image_border_extractor.h.

Referenced by pcl::RangeImageBorderExtractor::getNeighborDistanceChangeScore().

Eigen::Vector3f pcl::RangeImageBorderExtractor::LocalSurface::neighborhood_mean

Definition at line 76 of file range_image_border_extractor.h.

Eigen::Vector3f pcl::RangeImageBorderExtractor::LocalSurface::neighborhood_mean_no_jumps

Definition at line 79 of file range_image_border_extractor.h.

Referenced by pcl::RangeImageBorderExtractor::get3dDirection().

Eigen::Vector3f pcl::RangeImageBorderExtractor::LocalSurface::normal

Definition at line 75 of file range_image_border_extractor.h.

Eigen::Vector3f pcl::RangeImageBorderExtractor::LocalSurface::normal_no_jumps

Definition at line 78 of file range_image_border_extractor.h.

Referenced by pcl::RangeImageBorderExtractor::calculateMainPrincipalCurvature(), and pcl::RangeImageBorderExtractor::get3dDirection().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/features/include/pcl/features/range_image_border_extractor.h